Bug 488256 - relatime: relatime patch missing from F10 and rawhide...
relatime: relatime patch missing from F10 and rawhide...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11PowerSaving
  Show dependency treegraph
 
Reported: 2009-03-03 10:31 EST by Phil Knirsch
Modified: 2015-03-04 20:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 479052
Environment:
Last Closed: 2009-04-10 16:20:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Knirsch 2009-03-03 10:31:15 EST
+++ This bug was initially created as a clone of Bug #479052 +++

The improve-relatime.patch is enabled in the Fedora 9 kernel, but not in Fedora 10:

# cat /proc/mounts | grep relatime | wc -l
0

This is the patch:
http://people.redhat.com/mingo/relatime-patches/improve-relatime.patch

More info on how this patch would improve performance:
http://kerneltrap.org/node/14148

Version-Release number of selected component (if applicable):
kernel-2.6.27.9-159.fc10.i686
Comment 1 Phil Knirsch 2009-03-03 10:31:49 EST
Cloning this bug to add the relatime patch back to Fedora 11.

Thanks & regards, Phil
Comment 2 Kyle McMartin 2009-03-10 13:48:39 EDT
Hi Phil,

I think we were expecting an alternate version of this patch to have gone upstream by now... I'll review the alternate patch, versus mingo's original patch and we'll see.

regards, Kyle
Comment 3 Phil Knirsch 2009-03-11 05:16:38 EDT
Alright, thats great news!

Thanks for the info,

Regards, Phil
Comment 4 Ricardo Arguello 2009-03-31 13:20:41 EDT
Merged upstream, and backported to Fedora 10, Fedora 11 and Rawhide:
https://www.redhat.com/archives/fedora-devel-list/2009-March/msg01612.html

Fedora 11 will have relatime as default, Fedora 10 won't have it as default,
but will support it.
Comment 5 Phil Knirsch 2009-04-10 16:20:14 EDT
Awesome, thanks a lot Ricardo & Matthew!

Closing this bug as fixed in rawhide then.

Note You need to log in before you can comment on or make changes to this bug.